Subject: bug#14224: Feature request for the `cut`: record delimiter

From: Eric Blake <[email-masked]>
Date: Wed, 17 Apr 2013 17:24:35 -0600

On 04/17/2013 05:09 PM, Bob Proulx wrote:

In addition to Bob's (highly useful!) comments,

>> The README in coreutils suggests to read README-hacking and HACKING for
>> guide-lines on making a patch, but there are no such files in the the
>> coreutils-8.21.tar.xz.
> 
> Anyone working on the source code is expected to be working from the
> version control files.  Because the pace of change is rapid and doing
> so just makes it easier all around.
> 
> Here is the current HACKING file from the vcs online web frontend.
> 
>   http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=blob;f=HACKING;hb=HEAD

Should we patch README to include this URL to current HACKING contents,
since we don't ship HACKING in our tarballs?  Or, should we reconsider
our position and start shipping HACKING in the tarballs?  Of the
statements currently in README:

> If you obtained this file as part of a "git clone", then see the
> README-hacking file.  If this file came to you as part of a tar archive,
> then see the file INSTALL for compilation and installation instructions.

This one makes sense (HACKING won't be present unless you are working
from git), except that you are not told _how_ to do a "git clone".

> If you would like to suggest a patch, see the files README-hacking
> and HACKING for tips.

But this one doesn't mention anything about the files being git-only.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org